'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FormField = require('grommet/components/FormField');

var _FormField2 = _interopRequireDefault(_FormField);

var _Box = require('grommet/components/Box');

var _Box2 = _interopRequireDefault(_Box);

var _TextInput = require('grommet/components/TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PointsInput = function (_Component) {
  _inherits(PointsInput, _Component);

  function PointsInput(props) {
    _classCallCheck(this, PointsInput);

    var _this = _possibleConstructorReturn(this, (PointsInput.__proto__ || Object.getPrototypeOf(PointsInput)).call(this, props));

    _this.handleChange = function (proxy) {
      var team = _this.props.team;
      var value = proxy.target.value;

      _this.setState({ value: value });
      console.log(value);

      _this.props.selectPts(team, Number(value));
    };

    _this.state = { value: 0 };
    return _this;
  }

  _createClass(PointsInput, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Box2.default,
        null,
        this.props.label,
        _react2.default.createElement(
          _FormField2.default,
          null,
          _react2.default.createElement(_TextInput2.default, { onDOMChange: this.handleChange, placeHolder: 0 })
        )
      );
    }
  }]);

  return PointsInput;
}(_react.Component);

exports.default = PointsInput;