'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('grommet/components/Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SubmitMatchupButton = function (_Component) {
  _inherits(SubmitMatchupButton, _Component);

  function SubmitMatchupButton() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, SubmitMatchupButton);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SubmitMatchupButton.__proto__ || Object.getPrototypeOf(SubmitMatchupButton)).call.apply(_ref, [this].concat(args))), _this), _this.onClick = function () {
      var _this$props = _this.props,
          qb = _this$props.qb,
          rb = _this$props.rb,
          dst = _this$props.dst,
          team1 = _this$props.team1,
          team2 = _this$props.team2,
          week = _this$props.week,
          season = _this$props.season,
          wdis = _this$props.wdis,
          pts1 = _this$props.pts1,
          pts2 = _this$props.pts2;


      _this.props.fetchResultIfNeeded(season, week, team1, team2, rb, qb, dst, wdis, pts1, pts2);
      _this.props.clickSubmit();
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(SubmitMatchupButton, [{
    key: 'render',
    value: function render() {
      var label = this.props.label;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_Button2.default, { label: label, onClick: this.onClick })
      );
    }
  }]);

  return SubmitMatchupButton;
}(_react.Component);

exports.default = SubmitMatchupButton;